Gtk2::Box(3)

NAME
Gtk2::Box

HIERARCHY
  Glib::Object
  +----Glib::InitiallyUnowned
       +----Gtk2::Object
            +----Gtk2::Widget
                 +----Gtk2::Container
                      +----Gtk2::Box

INTERFACES
  Glib::Object::_Unregistered::AtkImplementorIface
  Gtk2::Buildable

METHODS

  $box->set_child_packing ($child, $expand, $fill, $padding, $pack_type)

    * $child (Gtk2::Widget)
    * $expand (boolean)
    * $fill (boolean)
    * $padding (integer)
    * $pack_type (Gtk2::PackType)

  boolean = $box->get_homogeneous

  $box->set_homogeneous ($homogeneous)

    * $homogeneous (boolean)

  $box->pack_end ($child, $expand, $fill, $padding)
    * $child (Gtk2::Widget)
    * $expand (boolean)
    * $fill (boolean)
    * $padding (integer)

  $box->pack_end_defaults ($widget)

    * $widget (Gtk2::Widget)

  $box->pack_start ($child, $expand, $fill, $padding)
    * $child (Gtk2::Widget)
    * $expand (boolean)
    * $fill (boolean)
    * $padding (integer)

  $box->pack_start_defaults ($widget)

    * $widget (Gtk2::Widget)

  list = $box->query_child_packing ($child)
    * $child (Gtk2::Widget)

  $box->reorder_child ($child, $position)

    * $child (Gtk2::Widget)
    * $position (integer)

  integer = $box->get_spacing

  $box->set_spacing ($spacing)

    * $spacing (integer)

PROPERTIES
'homogeneous' (boolean : readable / writable / private)
    Whether the children should all be the same size

'spacing' (integer : readable / writable / private)
    The amount of space between children

ENUMS AND FLAGS

  enum Gtk2::PackType

* 'start' / 'GTK_PACK_START'
* 'end' / 'GTK_PACK_END'

SEE ALSO
Gtk2, Glib::Object, Glib::InitiallyUnowned, Gtk2::Object, Gtk2::Widget, Gtk2::Container

COPYRIGHT
Copyright (C) 2003-2008 by the gtk2-perl team.

This software is licensed under the LGPL. See Gtk2 for a full notice.